Infrastructure Map Server Developer

Reply
Distinguished Contributor
Cadbeyond
Posts: 140
Registered: ‎02-28-2006
Message 1 of 1 (84 Views)

Install MGE 2009 to CentOS 4.4

84 Views, 0 Replies
05-19-2008 08:45 PM
I got the error as following: Anyone knows which lib I need to install first? Thanks
Treo

-bash-3.00# rpm -ivv *.rpm
D: ============== mapguideenterprise2009-webextension-2.0.0.3202-1.i386.rpm
D: Expected size: 208155602 = lead(96)+sigs(180)+pad(4)+data(208155322)
D: Actual size: 208155602
D: mapguideenterprise2009-webextension-2.0.0.3202-1.i386.rpm: MD5 digest: OK (4d9dade3122e3ee0a9ed16ad545900b7)
D: added binary package [0]
D: found 0 source and 1 binary packages
D: unshared posix mutexes found(38), adding DB_PRIVATE, using fcntl lock
D: opening db environment /var/lib/rpm/Packages create:cdb:mpool:smileytongue:rivate
D: opening db index /var/lib/rpm/Packages rdonly mode=0x0
D: locked db index /var/lib/rpm/Packages
D: ========== +++ mapguideenterprise2009-webextension-2.0.0.3202-1 i386/linux 0x1
D: opening db index /var/lib/rpm/Depends create mode=0x0
D: opening db index /var/lib/rpm/Basenames rdonly mode=0x0
D: opening db index /var/lib/rpm/Pubkeys rdonly mode=0x0
D: read h# 186 Header sanity check: OK
D: ========== DSA pubkey id a53d0bab443e1821
D: read h# 200 Header V3 DSA signature: OK, key ID 443e1821
D: Requires: /bin/sh YES (db files)
D: opening db index /var/lib/rpm/Providename rdonly mode=0x0
D: Requires: /usr/bin/perl NO
D: package mapguideenterprise2009-webextension-2.0.0.3202-1.i386 has unsatisfied Requires: /usr/bin/perl
D: Requires: libACE.so.5.4.0 YES (added provide)
D: Requires: libCsmap.so.1 YES (added provide)
D: Requires: libMgFoundation.so.7 YES (added provide)
D: Requires: libMgGeometry.so.7 YES (added provide)
D: Requires: libMgHttpHandler.so.7 YES (added provide)
D: Requires: libMgMapGuideCommon.so.7 YES (added provide)
D: Requires: libMgMdfModel.so.7 YES (added provide)
D: Requires: libMgMdfParser.so.7 YES (added provide)
D: Requires: libMgPlatformBase.so.7 YES (added provide)
D: Requires: libMgWebApp.so.7 YES (added provide)
D: Requires: libapr-1.so.0 YES (added provide)
D: Requires: libaprutil-1.so.0 YES (added provide)
D: read h# 199 Header V3 DSA signature: OK, key ID 443e1821
D: Requires: libc.so.6 YES (db provides)
D: Requires: libc.so.6(GLIBC_2.0) YES (db provides)
D: Requires: libc.so.6(GLIBC_2.1) YES (db provides)
D: Requires: libc.so.6(GLIBC_2.1.2) YES (db provides)
D: Requires: libc.so.6(GLIBC_2.1.3) YES (db provides)
D: Requires: libc.so.6(GLIBC_2.2) YES (db provides)
D: Requires: libc.so.6(GLIBC_2.2.3) YES (db provides)
D: Requires: libc.so.6(GLIBC_2.3) YES (db provides)
D: Requires: libc.so.6(GLIBC_2.3.2) YES (db provides)
D: Requires: libc.so.6(GLIBC_2.3.3) YES (db provides)
D: read h# 202 Header V3 DSA signature: OK, key ID 443e1821
D: Requires: libcom_err.so.2 YES (db provides)
D: Requires: libcrypt.so.1 YES (db provides)
D: Requires: libcrypt.so.1(GLIBC_2.0) YES (db provides)
D: read h# 241 Header V3 DSA signature: OK, key ID 443e1821
D: Requires: libcrypto.so.4 YES (db provides)
D: Requires: libcurl.so.3 NO
D: package mapguideenterprise2009-webextension-2.0.0.3202-1.i386 has unsatisfied Requires: libcurl.so.3
D: Requires: libdl.so.2 YES (db provides)
D: Requires: libdl.so.2(GLIBC_2.0) YES (db provides)
D: Requires: libdl.so.2(GLIBC_2.1) YES (db provides)
D: read h# 113 Header V3 DSA signature: OK, key ID 443e1821
D: Requires: libexpat.so.0 YES (db provides)
D: Requires: libexslt.so.0 NO
D: package mapguideenterprise2009-webextension-2.0.0.3202-1.i386 has unsatisfied Requires: libexslt.so.0
D: read h# 196 Header V3 DSA signature: OK, key ID 443e1821
D: Requires: libgcc_s.so.1 YES (db provides)
D: Requires: libgcc_s.so.1(GCC_3.0) YES (db provides)
D: Requires: libgcc_s.so.1(GLIBC_2.0) YES (db provides)
D: Requires: libgcrypt.so.11 NO
D: package mapguideenterprise2009-webextension-2.0.0.3202-1.i386 has unsatisfied Requires: libgcrypt.so.11
D: Requires: libgpg-error.so.0 NO
D: package mapguideenterprise2009-webextension-2.0.0.3202-1.i386 has unsatisfied Requires: libgpg-error.so.0
D: read h# 187 Header V3 DSA signature: OK, key ID 443e1821
D: Requires: libgssapi_krb5.so.2 YES (db provides)
D: Requires: libidn.so.11 NO
D: package mapguideenterprise2009-webextension-2.0.0.3202-1.i386 has unsatisfied Requires: libidn.so.11
D: Requires: libjpeg.so.62 NO
D: package mapguideenterprise2009-webextension-2.0.0.3202-1.i386 has unsatisfied Requires: libjpeg.so.62
D: Requires: libk5crypto.so.3 YES (db provides)
D: Requires: libkrb5.so.3 YES (db provides)
D: Requires: liblib_json.so YES (added provide)
D: Requires: libm.so.6 YES (db provides)
D: Requires: libm.so.6(GLIBC_2.0) YES (db provides)
D: Requires: libm.so.6(GLIBC_2.1) YES (db provides)
D: Requires: libnsl.so.1 YES (db provides)
D: Requires: libpng12.so.0 NO
D: package mapguideenterprise2009-webextension-2.0.0.3202-1.i386 has unsatisfied Requires: libpng12.so.0
D: Requires: libpthread.so.0 YES (db provides)
D: Requires: libpthread.so.0(GLIBC_2.0) YES (db provides)
D: Requires: libpthread.so.0(GLIBC_2.1) YES (db provides)
D: Requires: libpthread.so.0(GLIBC_2.1.1) YES (db provides)
D: Requires: libpthread.so.0(GLIBC_2.2) YES (db provides)
D: Requires: libpthread.so.0(GLIBC_2.3.2) YES (db provides)
D: Requires: libresolv.so.2 YES (db provides)
D: Requires: libresolv.so.2(GLIBC_2.0) YES (db provides)
D: Requires: libresolv.so.2(GLIBC_2.2) YES (db provides)
D: Requires: librt.so.1 YES (db provides)
D: Requires: librt.so.1(GLIBC_2.1) YES (db provides)
D: Requires: libssl.so.4 YES (db provides)
D: read h# 220 Header V3 DSA signature: OK, key ID 443e1821
D: Requires: libstdc++.so.6 YES (db provides)
D: Requires: libstdc++.so.6(CXXABI_1.3) YES (db provides)
D: Requires: libstdc++.so.6(GLIBCXX_3.4) YES (db provides)
D: Requires: libtiff.so.3 NO
D: package mapguideenterprise2009-webextension-2.0.0.3202-1.i386 has unsatisfied Requires: libtiff.so.3
D: Requires: libungif.so.4 NO
D: package mapguideenterprise2009-webextension-2.0.0.3202-1.i386 has unsatisfied Requires: libungif.so.4
D: Requires: libuuid.so.1 YES (db provides)
D: Requires: libxerces-c.so.27 YES (added provide)
D: read h# 77 Header V3 DSA signature: OK, key ID 443e1821
D: Requires: libxml2.so.2 YES (db provides)
D: Requires: libxslt.so.1 NO
D: package mapguideenterprise2009-webextension-2.0.0.3202-1.i386 has unsatisfied Requires: libxslt.so.1
D: read h# 13 Header V3 DSA signature: OK, key ID 443e1821
D: Requires: libz.so.1 YES (db provides)
D: Requires: perl >= 0:5.004 NO
D: package mapguideenterprise2009-webextension-2.0.0.3202-1.i386 has unsatisfied Requires: perl >= 0:5.004
D: Requires: perl(AnyDBM_File) NO
D: package mapguideenterprise2009-webextension-2.0.0.3202-1.i386 has unsatisfied Requires: perl(AnyDBM_File)
D: Requires: perl(Fcntl) NO
D: package mapguideenterprise2009-webextension-2.0.0.3202-1.i386 has unsatisfied Requires: perl(Fcntl)
D: Requires: perl(strict) NO
D: package mapguideenterprise2009-webextension-2.0.0.3202-1.i386 has unsatisfied Requires: perl(strict)
D: Requires: rpmlib(CompressedFileNames) <= 3.0.4-1 YES (rpmlib provides)
D: Requires: rpmlib(PayloadFilesHavePrefix) <= 4.0-1 YES (rpmlib provides)
D: opening db index /var/lib/rpm/Conflictname rdonly mode=0x0
D: closed db index /var/lib/rpm/Pubkeys
D: closed db index /var/lib/rpm/Depends
D: closed db index /var/lib/rpm/Conflictname
D: closed db index /var/lib/rpm/Providename
D: closed db index /var/lib/rpm/Basenames
D: closed db index /var/lib/rpm/Packages
D: closed db environment /var/lib/rpm/Packages
error: Failed dependencies:
/usr/bin/perl is needed by mapguideenterprise2009-webextension-2.0.0.3202-1.i386
libcurl.so.3 is needed by mapguideenterprise2009-webextension-2.0.0.3202-1.i386
libexslt.so.0 is needed by mapguideenterprise2009-webextension-2.0.0.3202-1.i386
libgcrypt.so.11 is needed by mapguideenterprise2009-webextension-2.0.0.3202-1.i386
libgpg-error.so.0 is needed by mapguideenterprise2009-webextension-2.0.0.3202-1.i386
libidn.so.11 is needed by mapguideenterprise2009-webextension-2.0.0.3202-1.i386
libjpeg.so.62 is needed by mapguideenterprise2009-webextension-2.0.0.3202-1.i386
libpng12.so.0 is needed by mapguideenterprise2009-webextension-2.0.0.3202-1.i386
libtiff.so.3 is needed by mapguideenterprise2009-webextension-2.0.0.3202-1.i386
libungif.so.4 is needed by mapguideenterprise2009-webextension-2.0.0.3202-1.i386
libxslt.so.1 is needed by mapguideenterprise2009-webextension-2.0.0.3202-1.i386
perl >= 0:5.004 is needed by mapguideenterprise2009-webextension-2.0.0.3202-1.i386
perl(AnyDBM_File) is needed by mapguideenterprise2009-webextension-2.0.0.3202-1.i386
perl(Fcntl) is needed by mapguideenterprise2009-webextension-2.0.0.3202-1.i386
perl(strict) is needed by mapguideenterprise2009-webextension-2.0.0.3202-1.i386
D: ========== recording tsort relations
D: Requires: libACE.so.5.4.0 YES (added provide)
D: ignore package name relation(s) [0] libtermcap -> bash
D: ignore package name relation(s) [1] modutils -> vixie-cron
D: ignore package name relation(s) [2] ypbind -> yp-tools
D: ignore package name relation(s) [3] ghostscript-fonts -> ghostscript
D: ignore package name relation(s) [4] libgnomeprint15 -> gnome-print
D: ignore package name relation(s) [5] nautilus -> nautilus-mozilla
D: ignore package name relation(s) [6] tcl -> postgresql-tcl
D: ignore package name relation(s) [7] arts -> kdelibs-sound
D: ignore package name relation(s) [8] pango-gtkbeta-devel -> pango-gtkbeta
D: ignore package name relation(s) [9] XFree86 -> Mesa
D: ignore package name relation(s) [10] compat-glibc -> db2
D: ignore package name relation(s) [11] compat-glibc -> db1
D: ignore package name relation(s) [12] pam -> initscripts
D: ignore package name relation(s) [13] initscripts -> sysklogd
D: Requires: libCsmap.so.1 YES (added provide)
D: Requires: libMgFoundation.so.7 YES (added provide)
D: Requires: libMgGeometry.so.7 YES (added provide)
D: Requires: libMgHttpHandler.so.7 YES (added provide)
D: Requires: libMgMapGuideCommon.so.7 YES (added provide)
D: Requires: libMgMdfModel.so.7 YES (added provide)
D: Requires: libMgMdfParser.so.7 YES (added provide)
D: Requires: libMgPlatformBase.so.7 YES (added provide)
D: Requires: libMgWebApp.so.7 YES (added provide)
D: Requires: libapr-1.so.0 YES (added provide)
D: Requires: libaprutil-1.so.0 YES (added provide)
D: Requires: liblib_json.so YES (added provide)
D: Requires: libxerces-c.so.27 YES (added provide)
D: ========== tsorting packages (order, #predecessors, #succesors, tree, depth)
D: 0 0 0 0 0 +mapguideenterprise2009-webextension-2.0.0.3202-1
-bash-3.00#

You are not logged in.

Log into access your profile, ask and answer questions, share ideas and more. Haven't signed up yet? Register

Announcements
Are you familiar with the Autodesk Expert Elites? The Expert Elite program is made up of customers that help other customers by sharing knowledge and exemplifying an engaging style of collaboration. To learn more, please visit our Expert Elite website.

Need installation help?

Start with some of our most frequented solutions to get help installing your software.

Ask the Community